# H225_IntegrityMechanism Class Reference

`#include <h225.h>`

List of all members.

## Public Types

enum | Choices { e_nonStandard, e_digSig, e_iso9797, e_nonIsoIM }

## Public Member Functions

| H225_IntegrityMechanism (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H225_NonStandardParameter & ()
| operator const H225_NonStandardParameter & () const
| operator H225_NonIsoIntegrityMechanism & ()
| operator const H225_NonIsoIntegrityMechanism & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H225_IntegrityMechanism::Choices

Enumerator:

  e_nonStandard |
  e_digSig |
  e_iso9797 |
  e_nonIsoIM |

## Constructor & Destructor Documentation

H225_IntegrityMechanism::H225_IntegrityMechanism | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H225_IntegrityMechanism::operator H225_NonStandardParameter & | ( |  | ) |

H225_IntegrityMechanism::operator const H225_NonStandardParameter & | ( |  | ) | const

H225_IntegrityMechanism::operator H225_NonIsoIntegrityMechanism & | ( |  | ) |

H225_IntegrityMechanism::operator const H225_NonIsoIntegrityMechanism & | ( |  | ) | const

PBoolean H225_IntegrityMechanism::CreateObject | ( |  | ) |

PObject* H225_IntegrityMechanism::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h225.h